Uglifycss and less with hugo theme

blogdown

#1

I am having difficulty getting the hugo-coder theme to render properly.

It looks like the css is getting caught up on something. I am guessing that since this theme requires uglifycss and less there must be some issue with R finding and using these libraries when the site is served with blogdown::serve_site().

Is it possible to fix this issue or would this theme be considered incompatible with blogdown?


#2

Can you please post the error message that you are getting when you try to run blogdown::serve_site()?


#3

I don't get an error. What happens is the site does not look right. I took a screenshot.


#4

Does it work if you try to render it externally using the build-test instructions from the hugo-coder theme README?

To update or generate the minified CSS file:

make build

To build your site and test, run:

hugo server

#5

Yes, that does work. It does require uglifycss and less.


#6

So, when you serve it locally using hugo serve it renders correctly?
If so, the easiest solution might just be to use that as your build process.